<?xml version="1.0" encoding="UTF-8" ?>
<configuration>
    <include resource="org/springframework/boot/logging/logback/defaults.xml" />
    <include resource="org/springframework/boot/logging/logback/console-appender.xml" />

    <springProperty scope="context" name="springAppName" source="spring.application.name"/>

    <springProfile name="local">
        <appender name="ELK" class="net.logstash.logback.appender.LogstashTcpSocketAppender">
            <!--destination>localhost:5000</destination-->
            <remoteHost>localhost</remoteHost>
            <port>5000</port>
            <encoder class="net.logstash.logback.encoder.LogstashEncoder">
                <customFields>{"APP":"VEGETABLES"}</customFields>
            </encoder>
            <keepAliveDuration>5 minutes</keepAliveDuration>
        </appender>
    </springProfile>

    <logger name="elk=br.com.jorge.poc" level="INFO" additivity="true">
        <appender-ref ref="ELK" />
    </logger>

    <root level="INFO">
        <appender-ref ref="CONSOLE" />
    </root>
</configuration>
